Subject: Re: Smallest program
From: [email-masked] (root)

5 Dec 1996 06:05:08 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Content-Length: 816       
Original-Sender: [email-masked]

Thanks to all that replied.
It seems, that MSVC wins again. What was very interesting is the option that
allows the linker to MERGE two sections into one (sent by [email-masked])

I was considering modifying my linker to do that, but the huge number of bugs
that I could introduce, and the sheer difficulty of assuring a 100% correct
result made me leave that for later... 

As the size of the 'hello.exe' from MSVC, it seems that I was linking the MSVC
library statically, so the size of the executable generated was much bigger
than it should have been.

gcc then, (using the minimalist version), achieves the same result (if I can
find the 32 bytes I'm adding somwhere... :-)

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".